#include <bits/stdc++.h>
using namespace std;

typedef long long ll;
typedef long double ld;

int a[200005];
int b[200005];

int main(){
    ios_base::sync_with_stdio(false), cin.tie(0);
    cout.precision(10);
    cout << fixed;

    int n;
    cin >> n;
    for(int i=1; i<=n; i++){
        cin >> a[i] >> b[i];
    }
    sort(a+1, a+1+n);
    sort(b+1, b+1+n);
    ll res = 0;
    for(int i=1; i<=n; i++){
        res += abs(a[i]-i);
        res += abs(b[i]-i);
    }
    cout << res;
    return 0;
}